{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Detalle de Empleado{% endblock %}
{% block pagelevelcss %}
<link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}">
{% endblock %}

{% block page %}
{%if can_show_detail %}

	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
      <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
      <li class="breadcrumb-item"><a href="{% url 'employee-list' %}">Empleados</a></li>
      <li class="breadcrumb-item active">Detalle de Empleado</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Detalle <small>empleado</small></h1>
  <!-- end page-header -->

  <ul class="nav nav-pills mb-2">
      <li class="nav-item">
        <a href="{% url 'employee-detail' pk=object.pk %}" class="nav-link ">
          <span class="d-sm-none">General</span>
          <span class="d-sm-block d-none">General</span>
        </a>
      </li>
      <li class="nav-item">
          <a href="{% url 'employee-documents' pk=object.pk %}" class="nav-link active">
            <span class="d-sm-none">Documentos</span>
            <span class="d-sm-block d-none">Documentos</span>
          </a>
        </li>
        <li class="nav-item">
            <a href="{% url 'employee-services' pk=object.pk %}" class="nav-link">
              <span class="d-sm-none">Contratos</span>
              <span class="d-sm-block d-none">Contratos</span>
            </a>
          </li>
          <li class="nav-item">
              <a href="{% url 'employee-payslips' pk=object.pk %}" class="nav-link">
                <span class="d-sm-none">Liquidaciones</span>
                <span class="d-sm-block d-none">Liquidaciones</span>
              </a>
            </li>
      <li class="nav-item">
        <a href="{% url 'employee-vacations' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Vacaciones</span>
          <span class="d-sm-block d-none">Vacaciones</span>
        </a>
      </li>
    </ul>


	<!-- begin row -->
	<div class="row">
      <!-- begin col-12 -->
      <div class="col-xl-12 ui-sortable">
        <!-- begin panel -->
        <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">{% if object %}Detalle{% else %}Nuevo{% endif %} empleado{% if object %} #{{ object.pk }}{% endif %}</h4>
          <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
            <div class="row mb-3">
                <div class="col-sm-12 col-md-12">
                  <a class="btn btn-success btn-sm pull-right ml-1" href="{% url 'employee-documents-add' object.pk %}">Subir</a>
                </div>
              </div>
	            {% include "documents/document_list.html" with documents=documents %}


            </div>
            <!-- end panel-body -->
            </div>
            <!-- end panel -->
            </div>
            </div>
            <!-- end row -->
            
            <!-- begin scroll to top btn -->
            <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
            <!-- end scroll to top btn -->
            {%else%}
<!-- begin page-header -->
<h1 class="page-header">  Empleado </h1>
<!-- end page-header -->
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
<hr>
<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
</div>
{% endif %}
            {% endblock %}
